# -*- coding: utf-8 -*-

from fastapi import APIRouter, Query

from app.models.schemas.space import SpaceControlResponse

router = APIRouter()


@router.get('/control', response_model=SpaceControlResponse, tags=['space'])
async def get_space_command(
        projectId: str = Query(..., max_length=50, regex='^Pj'),
        roomId: str = Query(..., max_length=50, regex='^Sp'),
        time: str = Query(None, min_length=14, max_length=14),
        method: int = Query(3),
):
    response = {
        'projectId': projectId,
        'roomId': roomId,
        'flag': 1,
        'time': time,
        'method': method,
    }
    return response
